Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000452Frama-CKernelpublic2010-04-13 11:452014-02-12 16:55
Reporteryakobowski 
Assigned Tovirgile 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Carbon-20101201-beta1 
Summary0000452: "Body of function main falls-through" warning could be improved
DescriptionIn the following code (seen in the wild...), the 'break' after 'return 0' causes frama-C to think that the switch sometimes does not return a value.

int main (int foo, char** args) {
  switch(foo) {
  case 1:
    return 0;
    break;

  default:
    return 1;
  }
}
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-04-13 11:45 yakobowski New Issue
2010-04-13 11:46 signoles Status new => assigned
2010-04-13 11:46 signoles Assigned To => virgile
2010-05-31 15:11 svn Checkin
2010-05-31 15:12 virgile Status assigned => resolved
2010-05-31 15:12 virgile Resolution open => fixed
2010-12-10 15:45 signoles Fixed in Version => Frama-C Carbon-20101201-beta1
2010-12-17 19:36 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker